Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 228278 - JDK profile changed from String to enum type
JDK profile changed from String to enum type
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
7.4
All All
: P3 (vote)
: 7.4
Assigned To: apireviews
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 09:44 UTC by Tomas Zezula
Modified: 2013-04-28 02:18 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Diff file (69.01 KB, patch)
2013-04-05 09:47 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2013-04-05 09:44:48 UTC
The JDK profile was changed from String to enum type to prevent copy paste code in API clients.
The change is an incompatible change of non released API.
Comment 1 Tomas Zezula 2013-04-05 09:47:09 UTC
Created attachment 133329 [details]
Diff file
Comment 2 Jan Lahoda 2013-04-11 20:56:20 UTC
Seems fine to me.
Comment 3 Tomas Zezula 2013-04-23 15:02:54 UTC
Fixed jet-main 069df05c8a66
Comment 4 Quality Engineering 2013-04-28 02:18:38 UTC
Integrated into 'main-golden', will be available in build *201304272301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f15c2e8b83e3
User: Tomas Zezula <tzezula@netbeans.org>
Log: #228278:JDK profile changed from String to enum type


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo